
ctools - Bug #560

ctobssim should set valid DATE_END and DATE_OBS in FITS EVENTS header

10/12/2012 04:18 PM - Deil Christoph

Status: Closed Start date: 10/12/2012

Priority: Low Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

ctobssim should write valid entries for DATE_OBS and DATE_END to make ftverify happy:

$ ftverify events.fits

...

=================== HDU 2: BINARY Table ====================

*** Error:   Keyword #82, DATE_END: (from CFITSIO error stack:)

             input date string has illegal format:

             string

*** Error:   Keyword #80, DATE_OBS: (from CFITSIO error stack:)

             input date string has illegal format:

             string

...

 

$ ftlist events.fits K | grep DATE

DATE_OBS= 'string  '           / Observation start date

DATE_END= 'string  '           / Observation end date

History

#1 - 10/12/2012 04:30 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

Thanks for catching this one.

The solution can be implement on the ctobssim level or the GammaLib level.

#2 - 10/30/2014 12:31 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Target version set to 00-08-00

- % Done changed from 0 to 100

This is done now. I put it in feedback and will close with next release unless I hear back from you.

#3 - 11/11/2014 11:52 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
